import React, { Component } from 'react';
import { List, ListItem } from "material-ui/List";
import Checkbox from "material-ui/Checkbox";
import { connect } from 'react-redux'
import {switchCompleted} from '../../../store/actions'


class ToDoList extends Component{

    constructor(props){
        super(props);
        this._onCheck = this._onCheck.bind(this);
    }

    _onCheck = (event) => {
      event.preventDefault();
      const index = event.target.id;
      const item = this.props.todoList[index];
      this.props.dispatch(switchCompleted(index, item));

    }

    render(){
      console.log(this.props.todoList);
        return(
          <List>
          {
            this.props.todoList.map((item, i) => {

              return (
                <ListItem
                  key = {i}
                  primaryText={item.text}
                  leftCheckbox={
                    <Checkbox
                      id = {i}
                      checked={item.completed}
                      onCheck={this._onCheck}
                    />
                  }
                />
              )
            })
            }
          </List>
          )
    }
}

const mapStateToProps = state => ({
  todoList: state.toDoReducer.todoList
});

export default connect(mapStateToProps)(ToDoList);
