const uuidv1 = require('uuid/v1');

//TODO_TEXT_UPDATE
function updateText(todoText){
    return function(dispatch) {
      dispatch({
          type: "TODO_TEXT_UPDATE",
          payload:{
              todoText
          }
      })
    }
}

//TODO_PUSH_ITEM
function pushToDo(todoText){
    return function(dispatch) {
      const todoItem = {
        id:uuidv1(),
        text:todoText,
        completed: false
      }

      dispatch({
          type: "TODO_PUSH_ITEM",
          payload:{
              todoItem
          }
      });
    }
}

//TODO_UPDATE_ITEM
function switchCompleted(index, item){
    return function(dispatch) {
      dispatch({
          type: "TODO_UPDATE_ITEM",
          payload:{
              index,
              todoItem: {...item, completed:!item.completed}
          }
      });
    }
}


export {
    updateText,
    pushToDo,
    switchCompleted
}
